#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QMessageBox>
#include "sensorthingie.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    SensorThingie *s = new SensorThingie(this);
    connect(s, SIGNAL(xChanged(qreal)), this, SLOT(xChanged(qreal)));
    connect(s, SIGNAL(yChanged(qreal)), this, SLOT(yChanged(qreal)));
    connect(s, SIGNAL(zChanged(qreal)), this, SLOT(zChanged(qreal)));
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::xChanged(qreal newX)
{
    ui->xLabel->setText("x: " + QString::number(newX));
}

void MainWindow::yChanged(qreal newY)
{
    ui->yLabel->setText("y: " + QString::number(newY));
}

void MainWindow::zChanged(qreal newZ)
{
    ui->zLabel->setText("z: " + QString::number(newZ));
}

void MainWindow::on_pushButton_clicked()
{
    QMessageBox::information(this, "Test", "Hello...");
}
