#include "sensorthingie.h"
#include <QRotationReading>
#include <QDebug>

SensorThingie::SensorThingie(QObject *parent) :
    QObject(parent)
{
    sensor = new QRotationSensor(this);
    connect(sensor, SIGNAL(readingChanged()), this, SLOT(readingChanged()));
    sensor->start();
}

void SensorThingie::readingChanged()
{
    QRotationReading *r = sensor->reading();
    qDebug() << "x: " << r->x() << ", y: " << r->y() << ", z: " << r->z();
    emit xChanged(r->x());
    emit yChanged(r->y());
    emit zChanged(r->z());
}
